\section{Problem: Bicycle company plan}
\label{sec:problem}

We consider a company producing bicycles for children. The sales forecast in
thousand of units for the coming year are given in
\autoref{table:sales-forecast}.

\begin{table}[h]
    \centering
    \begin{tabular}{l|c|c|c|c|c|c|c|c|c|c|c|c|}
        \hline
        Month & 1 & 2 & 3 & 4 & 5 & 6 & 7 & 8 & 9 & 10 & 11 & 12 \\ \hline \hline
        Thousands of bicycles & 30 & 15 & 15 & 25 & 33 & 40 & 45 & 45 & 26 & 14 & 25 &
        30 \\
        \hline
    \end{tabular}
\caption{Sales forecast for the problem period}
\label{table:sales-forecast}
\end{table}

The company has a capacity of producing $30K$ bicycles per month, where $K$
stands for thousands. It is possible to augment the production up to $50\%$
through overtime working, but this increases the production cost for a bicycle
from the usual $32$\texteuro\:to $40$\texteuro. 

Currently there are $2K$ bicycles in stock. The storage costs have been
calculated as $5$\texteuro\:per bicycle held in stock at the end of the month.
We assume that the storage capacity at the company is unlimited.

We are at the first of January. Which quantities need to be produced and stored
in the course of the next twelve months in order to satisfy the forecast demand
and minimize the total cost?

